Forum

The Elder Scrolls Online #4308 on Scripts

Författare Svar
Onuum Sunday 12 July 2015 at 22:08
OnuumAnonymous

Hello playonllinux,

i have the same problem as the ticket: The Elder Scrolls Online #4308 on Scripts. But OpenGL is not a Command on my OS (Ubuntu 15.04) so i used ldconfig -p | grep libGL.so.1 (because of this topic: https://www.playonlinux.com/en/topic-11861-PlayOnLinux_is_unable_to_find_32bits_OpenGL_libraries_in_Ubuntu_1404_64bit.html) ans i get as a return:

libGL.so.1 (libc6,x86-64) => /usr/lib/nvidia-346/libGL.so.1
    libGL.so.1 (libc6) => /usr/lib32/nvidia-346/libGL.so.1

Is this a correct workaround?

Because i am desperate, i tried an other solution. I followed this how to viedeo:

https://www.youtube.com/watch?v=ka20wnKwla0

As a result i get this error in the plyonlinux debugfile:

java.lang.ClassNotFoundException: com.jarego.jayatana.Agent
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.instrument.InstrumentationImpl.loadClassAndStartAgent(Unknown Source)
    at sun.instrument.InstrumentationImpl.loadClassAndCallPremain(Unknown Source)
FATAL ERROR in native method: processing of -javaagent failed
Picked up JAVA_TOOL_OPTIONS: -javaagent:/usr/share/java/jayatanaag.jar
Exception in thread "main" cwd: C:\users\sebbo\Temp\I1436729129\Windows
cmd: "C:\users\sebbo\Temp\I1436729129\Windows\resource\jre\bin\javaw.exe" -Xms16777
216 -Xmx50331648 -Djava.specification.version=1.6 -Xmx256m -Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=8888 -classpath

At the end of both ways does the real installer not start.

 

With best regards

Onum

booman Thursday 16 July 2015 at 20:01
booman

Why the heck does Elder Scrolls Online need Java?  That is really strange...
Did you try installing the 32-bit OpenGL libraries?

Do you have the proprietary drivers installed for your video card/chip?


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained